
From: Alan Cox <alan@redhat.com>

Just a warning fix and behaviour tidy. Changing the kiss.mintime variable isn't
going to work as its exposed to user space




 25-akpm/drivers/net/hamradio/scc.c |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

diff -puN drivers/net/hamradio/scc.c~scc-warning-fix drivers/net/hamradio/scc.c
--- 25/drivers/net/hamradio/scc.c~scc-warning-fix	Thu Dec 18 14:19:03 2003
+++ 25-akpm/drivers/net/hamradio/scc.c	Thu Dec 18 14:19:03 2003
@@ -1196,11 +1196,7 @@ static void t_tail(unsigned long channel
  	if (scc->stat.tx_state == TXS_TIMEOUT)		/* we had a timeout? */
  	{
  		scc->stat.tx_state = TXS_WAIT;
-
- 		if (scc->kiss.mintime != TIMER_OFF)	/* try it again */
- 			scc_start_tx_timer(scc, t_dwait, scc->kiss.mintime*100);
- 		else
- 			scc_start_tx_timer(scc, t_dwait, 0);
+		scc_start_tx_timer(scc, t_dwait, scc->kiss.mintime*100);
  		return;
  	}
  	
@@ -1274,8 +1270,7 @@ static void t_idle(unsigned long channel
 	del_timer(&scc->tx_wdog);
 
 	scc_key_trx(scc, TX_OFF);
-
-	if (scc->kiss.mintime != TIMER_OFF)
+	if(scc->kiss.mintime)
 		scc_start_tx_timer(scc, t_dwait, scc->kiss.mintime*100);
 	scc->stat.tx_state = TXS_WAIT;
 }

_
